@ECHO OFF
REM add network hdr/trl to file
REM The receiving mailbox and file name can be passed on the command line.

:: Set default values.
SET NETWORK=SAIGPORTAL
SET MSGCLASS=EOYNRCOP
SET BATCHNUM=NONREC_file
SET MAILBOXID=TGXXXXX
SET FILE=Testfile.txt

REM set file locations - tdclient location, source file location and send file location
set tdcloc=C:\TDAccess3.3.1\TDClient
set tdcinloc=%tdcloc%\incoming
set tdcoutloc=%tdcloc%\outgoing

REM The receiving mailbox and file name can be passed on the command line.
:: Use command-line settings if given
IF NOT (%1)==() SET MAILBOXID=%1
IF NOT (%2)==() SET FILE=%2

REM Create the send file

REM add header must be minimum of 70 characters
echo O*N05%MAILBOXID%       ,CLS=%MSGCLASS%,XXX,BAT=%BATCHNUM%,NCT=000000,           > %tdcoutloc%\%FILE%.saig

REM add body (compressed file content)
type %tdcoutloc%\%FILE% >> %tdcoutloc%\%FILE%.saig

REM add crlf prior to adding trailer
REM echo.>> %tdcoutloc%\%FILE%.saig

REM add trailer
echo O*N95%MAILBOXID%       ,CLS=%MSGCLASS%,XXX,BAT=%BATCHNUM%,NCT=000000,           >> %tdcoutloc%\%FILE%.saig
